! Genereaza matricile A si b
! A= triunghiul superior

subroutine genAB(n, nb, A, b)

real a(n*(n+1)/2), b(n,nb)


a =0.; b=0.;

! Insereaza cod
! Exemplu:
! do i=1,n
!	do j=i,n
!	a(looca(i,j)) =...
!	enddo
! enddo
!
! do j=1,nb
!	do i=1,n
!	b(i,j) =...
!	enddo
! enddo

! A= truinghuiul sup. din Hilbert:
ido: do i =1,n
jdo: do j =i,n
a(loca(i,j)) =real( (i+j-1) )
enddo jdo
enddo ido

b =0.

! b =Vectorii unitate:
do j =1,nb
do i=1,n
b(i,i) =1.
enddo
enddo

END subroutine GenAB
